'use client'

import Image from 'next/image'
import { usePathname } from 'next/navigation'

import { CREDIT_CARD_ID, IDRAM_ID } from '@/constants'
import useGetCheckoutData from '@/hooks/server/useGetCheckoutData'
import { cn } from '@/lib/utils'

const PaymentMethods = ({
  paymentType,
  setPaymentType,
}: {
  paymentType: string
  setPaymentType: (value: string) => void
}) => {
  const pathname = usePathname()
  const { checkoutData } = useGetCheckoutData()

  return (
    <div className='py-4'>
      <div className='pb-6 text-xl'>Վճարման եղանակներ</div>
      <div className='flex gap-4 sm:flex-col'>
        {/* {pathname === '/checkout' && ( */}
        {pathname === '/checkout' &&
          checkoutData?.total &&
          checkoutData?.total < 20000 && (
            <div
              className={cn(
                'relative flex min-h-[7.5rem] flex-1 cursor-pointer flex-col items-center justify-center rounded-lg border p-4 pt-3 ring-primary transition-shadow hover:ring-2',
                paymentType === '1' && 'ring-2'
              )}
              onClick={() => setPaymentType('1')}
            >
              <Image
                src='/icons/cash.png'
                alt='cash'
                width={60}
                height={60}
                className='pb-4'
              />
              <div className='absolute bottom-4 left-1/2 -translate-x-1/2 whitespace-nowrap'>
                Կանխիկ
              </div>
            </div>
          )}
        <div
          className={cn(
            'relative flex min-h-[7.5rem] flex-1 cursor-pointer flex-col items-center justify-center rounded-lg border p-4 pt-3 ring-primary transition-shadow hover:ring-2',
            paymentType === CREDIT_CARD_ID && 'ring-2'
          )}
          onClick={() => setPaymentType(CREDIT_CARD_ID)}
        >
          <Image
            src='/icons/amex-mastercard-visa-logo.png'
            alt='credit card'
            width={180}
            height={80}
            className='pb-3'
          />
          <div className='absolute bottom-4 left-1/2 -translate-x-1/2 whitespace-nowrap'>
            Կրեդիտ քարտ
          </div>
        </div>
        {/* <div
          className={cn(
            'relative flex min-h-[7.5rem] flex-1 cursor-pointer flex-col items-center justify-center rounded-lg border p-4 pt-3 ring-primary transition-shadow hover:ring-2'
          )}
        >
          <Image
            src='/icons/Telcell-Wallet-horizontal-logo.png'
            alt='telcell wallet'
            width={100}
            height={40}
            className='pb-2'
          />
          <div className='absolute bottom-4 left-1/2 -translate-x-1/2 whitespace-nowrap'>
            Tellcell
          </div>
        </div> */}
        <div
          className={cn(
            'relative flex min-h-[7.5rem] flex-1 cursor-pointer flex-col items-center justify-center rounded-lg border p-4 pt-3 ring-primary transition-shadow hover:ring-2',
            paymentType === IDRAM_ID && 'ring-2'
          )}
          onClick={() => setPaymentType(IDRAM_ID)}
        >
          <Image
            src='/icons/idram.png'
            alt='idram'
            width={120}
            height={40}
            className='pb-3'
          />
          <div className='absolute bottom-4 left-1/2 -translate-x-1/2 whitespace-nowrap'>
            Idram
          </div>
        </div>
      </div>
    </div>
  )
}

export default PaymentMethods
