'use client'

import { useSearchParams } from 'next/navigation'

import { useRouter } from 'next-nprogress-bar'

import {
  Select,
  SelectContent,
  SelectGroup,
  SelectItem,
  SelectTrigger,
  SelectValue,
} from '@/components/ui/select'

const Sort = () => {
  const searchParams = useSearchParams()
  const sort = searchParams.get('sort_by') || undefined
  const router = useRouter()

  const createSortUrl = (value: string) => {
    const params = new URLSearchParams(searchParams.toString())
    params.set('sort_by', value.toString())
    const newUrl = `/store?${params.toString()}`
    router.push(newUrl)
  }

  return (
    <Select value={sort} onValueChange={createSortUrl}>
      <SelectTrigger className='w-[19rem]'>
        <SelectValue placeholder='Դասավորել ըստ նորագույն իրերի' />
      </SelectTrigger>
      <SelectContent
        ref={(ref) => {
          if (!ref) return
          ref.ontouchstart = (e) => {
            e.preventDefault()
          }
        }}
      >
        <SelectGroup>
          <SelectItem value='0'>Նոր տեսականի</SelectItem>
          <SelectItem value='1'>Այբբենական կարգով. Ֆ-ից Ա</SelectItem>
          <SelectItem value='2'>Այբբենական կարգով. Ա-ից Ֆ</SelectItem>
          <SelectItem value='3'>Գնի ՝ նվազող</SelectItem>
          <SelectItem value='4'>Գնի՝ աճող</SelectItem>
          <SelectItem value='5'>Զեղչի՝ բարձրից ցածր</SelectItem>
          <SelectItem value='6'>Զեղչի՝ ցածրից բարձր</SelectItem>
          <SelectItem value='7'>Հայտնիության ՝ նվազող</SelectItem>
        </SelectGroup>
      </SelectContent>
    </Select>
  )
}

export default Sort
