'use client'
import {
  Carousel,
  CarouselContent,
  CarouselItem,
} from '@/components/ui/carousel'
import { BlogPostHome } from '@/types'
import Autoplay from 'embla-carousel-autoplay'
import CardCarouselTitle from './CardCarouselTitle'
import BlogCard from './cards/BlogCard'

const BlogCarousel = ({
  title,
  href,
  blog,
}: {
  title: string
  href: string
  blog: BlogPostHome[]
}) => {
  return (
    <div className='pt-8'>
      <CardCarouselTitle title={title} href={href} />
      <Carousel
        opts={{
          align: 'start',
        }}
        plugins={[Autoplay({ delay: 3000 })]}
        className='container px-0'
      >
        <CarouselContent
        // className='-ml-0'
        >
          {blog.map((item, index) => (
            <CarouselItem
              key={index}
              //  className='pl-0'
              className='basis-1/3 lg:basis-1/2 sm:basis-full'
            >
              <BlogCard className='mx-2 mb-8' blogItem={item} />
            </CarouselItem>
          ))}
        </CarouselContent>
      </Carousel>
    </div>
  )
}

export default BlogCarousel
