import { cn } from '@/lib/utils'
import Link from 'next/link'
import { buttonVariants } from './ui/button'

const CardCarouselTitle = ({
  title,
  href,
}: {
  title: string
  href: string
}) => {
  return (
    <div className='container relative mb-8 flex justify-center px-0'>
      <span className='absolute left-0 top-1/2 -z-10 h-px w-full bg-red-500' />
      <div className='flex w-full max-w-sm justify-center bg-background uppercase sm:max-w-64'>
        <Link
          href={href}
          className={cn(
            buttonVariants({
              variant: 'ghost',
              className: 'text-lg',
            })
          )}
        >
          {title}
        </Link>
      </div>
    </div>
  )
}

export default CardCarouselTitle
