import Script from 'next/script'

export default function LoadScripts() {
  return (
    <>
      <div id='fb-root'></div>
      {/* Tawk.to Chat - Load after page interactive */}
      <Script
        id='tawk-script'
        strategy='lazyOnload'
        dangerouslySetInnerHTML={{
          __html: `
                    var Tawk_API=Tawk_API||{}, Tawk_LoadStart=new Date();
                    (function(){
                      var s1=document.createElement("script"),s0=document.getElementsByTagName("script")[0];
                      s1.async=true;
                      s1.src='https://embed.tawk.to/66f84d4ae5982d6c7bb619a5/1i8surqoq';
                      s1.charset='UTF-8';
                      s1.setAttribute('crossorigin','*');
                      s0.parentNode.insertBefore(s1,s0);
                    })();
                  `,
        }}
      />

      {process.env.NODE_ENV === 'production' && (
        <>
          <Script
            id='facebook-pixel'
            strategy='afterInteractive'
            dangerouslySetInnerHTML={{
              __html: `
                    !function(f,b,e,v,n,t,s)
                    {if(f.fbq)return;n=f.fbq=function(){n.callMethod?
                        n.callMethod.apply(n,arguments):n.queue.push(arguments)};
                        if(!f._fbq)f._fbq=n;n.push=n;n.loaded=!0;n.version='2.0';
                        n.queue=[];t=b.createElement(e);t.async=!0;
                        t.src=v;s=b.getElementsByTagName(e)[0];
                        s.parentNode.insertBefore(t,s)}(window, document,'script',
                        'https://connect.facebook.net/en_US/fbevents.js');
                    fbq('init', '262744547237349');
                    fbq('track', 'PageView');
                    `,
            }}
          />
          <noscript>
            <img
              height='1'
              width='1'
              style={{ display: 'none' }}
              src='https://www.facebook.com/tr?id=262744547237349&ev=PageView&noscript=1'
            />
          </noscript>

          {/* Google Analytics - Load after initial page load */}
          <Script
            src={`https://www.googletagmanager.com/gtag/js?id=${process.env.NEXT_PUBLIC_GOOGLE_TAG_MANAGER_ID}`}
            strategy='afterInteractive'
          />
          <Script
            id='google-analytics'
            strategy='afterInteractive'
            dangerouslySetInnerHTML={{
              __html: `
                    window.dataLayer = window.dataLayer || [];
                    function gtag(){dataLayer.push(arguments);}
                    gtag('js', new Date());
                    gtag('config', 'G-42LWXFE2Q0');
                    `,
            }}
          />

          {/* Yandex Metrika - Load after initial page load */}
          <Script
            id='yandex-metrika'
            strategy='afterInteractive'
            dangerouslySetInnerHTML={{
              __html: `
                    (function(m,e,t,r,i,k,a){m[i]=m[i]||function(){(m[i].a=m[i].a||[]).push(arguments)};
                    m[i].l=1*new Date();k=e.createElement(t),a=e.getElementsByTagName(t)[0],k.async=1,k.src=r,a.parentNode.insertBefore(k,a)})
                    (window, document, "script", "https://mc.yandex.ru/metrika/tag.js", "ym");
                    ym(41332134, "init", {
                      clickmap:true,
                      trackLinks:true,
                      accurateTrackBounce:true,
                      webvisor:true,
                      ecommerce:"dataLayer"
                    });
                  `,
            }}
          />

          <noscript>
            <div>
              <img
                loading='lazy'
                src='https://mc.yandex.ru/watch/41332134'
                style={{ position: 'absolute', left: '-9999px' }}
                alt=''
              />
            </div>
          </noscript>
        </>
      )}
    </>
  )
}
