'use client'

import { buttonVariants } from '@/components/ui/button'
import {
  Tooltip,
  TooltipContent,
  TooltipProvider,
  TooltipTrigger,
} from '@/components/ui/tooltip'
import { cn } from '@/lib/utils'
import Cookies from 'js-cookie'
import { Heart, UserRound } from 'lucide-react'
import Link from 'next/link'
import { useEffect, useState } from 'react'
import CartPopup from '../CartPopup'

export default function Buttons() {
  const token = Cookies.get('siamoods_token')
  const [tokenState, setTokeState] = useState<string | undefined>()

  useEffect(() => {
    setTokeState(token)

    // axiosClient('api/get-recently-viewed', {
    //   params: {
    //     ids: ['511061'],
    //   },
    // }).then((res) => {
    //   console.log('🚀 ~ res:', res.data.data)
    // })
  }, [token])

  return (
    <div className='flex gap-3'>
      <div className='flex gap-3 md:hidden'>
        <TooltipProvider delayDuration={0}>
          <Tooltip>
            <TooltipTrigger asChild>
              <Link
                href={tokenState ? '/profile' : '/login'}
                className={cn(
                  buttonVariants({
                    variant: 'ghost',
                    size: 'iconSm',
                  })
                )}
              >
                <UserRound />
              </Link>
            </TooltipTrigger>
            <TooltipContent>
              <p>Հաշիվ</p>
            </TooltipContent>
          </Tooltip>
        </TooltipProvider>

        <TooltipProvider delayDuration={0}>
          <Tooltip>
            <TooltipTrigger asChild>
              <Link
                href={tokenState ? '/favorites' : '/login'}
                className={cn(
                  buttonVariants({
                    variant: 'ghost',
                    size: 'iconSm',
                  })
                )}
              >
                <Heart />
              </Link>
            </TooltipTrigger>
            <TooltipContent>
              <p>Նախըտրածներ</p>
            </TooltipContent>
          </Tooltip>
        </TooltipProvider>
      </div>

      <CartPopup />
    </div>
  )
}
