import { cn } from '@/lib/utils'
import Link from 'next/link'
import { buttonVariants } from '../ui/button'

export interface LiProps extends React.HTMLAttributes<HTMLLIElement> {
  href: string
  className?: string
}

const NavItem: React.FC<LiProps> = ({
  children,
  href,
  className,
  ...props
}) => {
  return (
    <li {...props}>
      <Link
        href={href}
        className={cn(
          'relative cursor-pointer',
          buttonVariants({
            variant: 'ghost',
            className: 'font-bold lg:px-2',
          }),
          className
        )}
      >
        {children}
      </Link>
    </li>
  )
}

export default NavItem
