import {
  Table,
  TableBody,
  TableCell,
  TableHead,
  TableHeader,
  TableRow,
} from '@/components/ui/table'
import { convertToMoney } from '@/lib/utils'
import Link from 'next/link'

const ProductsInfo = ({ orderData }: { orderData: any }) => {
  return (
    <div className='w-full flex-1 md:max-w-[calc(100vw-2rem)]'>
      <div className='text-lg text-primary'>Ապրանքների ինֆորմացիա</div>
      <Table>
        <TableHeader>
          <TableRow className='bg-muted hover:bg-muted'>
            <TableHead className='font-bold'>Ապրանքներ</TableHead>
            <TableHead className='text-end font-bold'>Գին</TableHead>
            <TableHead className='text-center font-bold'>Քանակ</TableHead>
            <TableHead className='text-center font-bold'>Չափս</TableHead>
            <TableHead className='text-end font-bold'>Ընդհանուր</TableHead>
          </TableRow>
        </TableHeader>
        <TableBody>
          {orderData?.products?.map((item: any) => (
            <TableRow key={item.product_haysell_id}>
              <TableCell>
                <Link
                  href={`/product/${item.slug}`}
                  target='_blank'
                  className='hover:underline'
                >
                  {item.product.item_name}
                </Link>
              </TableCell>
              <TableCell className='whitespace-nowrap text-end'>
                {convertToMoney(item.price)}
              </TableCell>
              <TableCell className='text-center'>{item.quantity}</TableCell>
              <TableCell className='text-center'>{item.variation}</TableCell>
              <TableCell className='text-end'>
                {convertToMoney(item.priceTotal)}
              </TableCell>
            </TableRow>
          ))}
        </TableBody>
      </Table>
    </div>
  )
}

export default ProductsInfo
