import { convertToMoney } from '@/lib/utils'

const Total = ({ orderData }: { orderData: any }) => {
  return (
    <>
      <div className='text-lg text-primary'>Ընդամենը</div>
      <div className='flex flex-col divide-y self-start rounded-md bg-muted p-4 md:w-full sm:text-sm'>
        <div className='flex gap-2 py-2'>
          <div className='w-56 sm:w-[8.5rem]'>Վճարման տեսակ:</div>
          <div>{orderData?.payment_method}</div>
        </div>
        <div className='flex gap-2 whitespace-nowrap py-2'>
          <div className='w-56 sm:w-[8.5rem]'>Առաքման մեթոդ:</div>
          <div>{orderData?.shipping?.title}</div>
        </div>
        <div className='flex gap-2 py-2'>
          <div className='w-56 sm:w-[8.5rem]'>Ընդհանուր:</div>
          <div>{convertToMoney(orderData?.total)}</div>
        </div>
        <div className='flex gap-2 py-2'>
          <div className='w-56 sm:w-[8.5rem]'>Առաքում:</div>
          <div>{convertToMoney(orderData?.shipping?.price)}</div>
        </div>
        <div className='flex gap-2 py-2 font-bold'>
          <div className='w-56 sm:w-[8.5rem]'>Ընդամենը:</div>
          <div>{convertToMoney(orderData?.total_paid)}</div>
        </div>
      </div>
    </>
  )
}

export default Total
