'use client'

import { Button } from '@/components/ui/button'
import { Input } from '@/components/ui/input'

interface InputQuantityProps {
  value: number | string
  onChange: (e: React.ChangeEvent<HTMLInputElement>) => void
  setValue: (value: number) => void
  available: number | string | undefined
}

const InputQuantity: React.FC<InputQuantityProps> = ({
  value,
  available,
  setValue,
  onChange,
}) => {
  return (
    <div className='flex gap-1 rounded-md border bg-background'>
      <Button
        onClick={() => setValue(+value - 1)}
        variant='secondary'
        className='w-4 select-none rounded-e-none px-4 text-xl'
        disabled={value == 1 || available == 0}
      >
        -
      </Button>
      <Input
        value={value}
        onChange={onChange}
        className='w-7 border-none p-1 text-center'
        maxLength={2}
        inputType='integer'
      />
      <Button
        onClick={() => setValue(+value + 1)}
        variant='secondary'
        className='w-4 select-none rounded-s-none px-4 text-xl'
        disabled={value == available || value == 99 || available == 0}
      >
        +
      </Button>
    </div>
  )
}

export { InputQuantity }
