import { getShippingData } from '@/server/getShipping'
import { useCheckoutStore } from '@/store/checkout'
import { useQuery } from '@tanstack/react-query'

const useGetShippingData = () => {
  const state_1 = useCheckoutStore((state) => state.state_1)
  const state_2 = useCheckoutStore((state) => state.state_2)
  const another_shipping_address = useCheckoutStore(
    (state) => state.another_shipping_address
  )

  const { data: shippingData, isFetched } = useQuery({
    queryKey: [
      'shipping',
      {
        state_1,
        state_2,
        another_shipping_address,
      },
    ],
    queryFn: () =>
      getShippingData({
        state_1,
        state_2: state_2 || undefined,
        another_shipping_address,
      }),
  })

  return { shippingData, isFetched }
}

export default useGetShippingData
