import type { BlogData } from '@/types'
import { AxiosError } from 'axios'

export async function getBlog(): Promise<BlogData | undefined> {
  try {
    const res = await fetch(`${process.env.NEXT_PUBLIC_API_URL}api/blog`)
    const data: { data: BlogData } = await res.json()
    return data.data
  } catch (error) {
    if (error instanceof AxiosError) {
      console.log(error)
    }
  }
}
